%define upstream_name    Linux-Smaps
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Perl interface to /proc/PID/smaps
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The _/proc/PID/smaps_ files in modern Linuxes provides very detailed
information about a processes memory consumption. It particularly includes
a way to estimate the effect of copy-on-write. This module implements a
Perl interface.

The content of the _smaps_ file is a set of blocks like this:

 0060a000-0060b000 r--p 0000a000 fd:01 531212       /bin/cat
 Size:                  4 kB
 Rss:                   4 kB
 Pss:                   4 kB
 Shared_Clean:          0 kB
 Shared_Dirty:          0 kB
 Private_Clean:         0 kB
 Private_Dirty:         4 kB
 Referenced:            4 kB
 Swap:                  0 kB
 KernelPageSize:        4 kB
 MMUPageSize:           4 kB

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.140.0-3.mga10
+ Revision: 2206190
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.140.0-2.mga9
+ Revision: 1812681
- Mageia 9 Mass Rebuild
+ tv <tv>
- kill reference to dead patch

* Thu May 21 2020 shlomif <shlomif> 0.140.0-1.mga8
+ Revision: 1586625
- update to 0.14

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-8.mga8
+ Revision: 1495375
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-7.mga7
+ Revision: 1268887
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-6.mga6
+ Revision: 1029170
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.130.0-5.mga6
+ Revision: 952498
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 shlomif <shlomif> 0.130.0-4.mga5
+ Revision: 817499
- Fix the check-stage failure with a patch. Makes the package build again.

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-3.mga5
+ Revision: 749289
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-2.mga5
+ Revision: 685232
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.130.0-1.mga5
+ Revision: 586282
- update to 0.13

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 527083
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.120.0-1.mga4
+ Revision: 439466
- update to 0.12

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 369121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 08 2011 ahmad <ahmad> 0.90.0-1.mga2
+ Revision: 120118
- imported package perl-Linux-Smaps


* Fri Jul 08 2011 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
